[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# DateTimeToDosDateTime

Convert TDateTime format to DOS date/time format

## Declaration

Source position: dateutil.inc line 423

`function DateTimeToDosDateTime(`
`const AValue: TDateTime`
`):LongInt;`

## Description

DateTimeToDosDatetime takes Value, a TDateTime formatted timestamp, and recodes it to a MS-DOS encoded date/time value. This is a longint with the date/time encoded in the bits as:

0-4
  Seconds divided by 2
5-10
  Minutes
11-15
  Hours
16-20
  Day
21-24
  Month
25-31
  Years since 1980

## See also

DosDateTimeToDateTime |  | Convert DOS date/time format to TDateTime format

Documentation generated on: Feb 26 2014